import { useAuth } from "@/modules";
import { UserOutlined } from "@ant-design/icons-vue";
import { Avatar, Dropdown, Menu } from "ant-design-vue";
import { defineComponent } from "vue";

export default defineComponent(() => {
  const storeAuth = useAuth();

  const handleClick = (data: any) => {
    switch (data.key) {
      case "logout":
        storeAuth.logout();
        break;
    }
  };

  return () => (
    <div class="h-1/1 flex justify-between items-center text-light-50">
      <div class="text-20px flex-1">
        <img class="h-50px inline" src={getImageUrl("logo_footer.png")} />
        <span class="ml-20px">后台管理系统</span>
      </div>
      <Dropdown
        overlay={
          <Menu onClick={handleClick}>
            <Menu.Item key="logout">退出登录</Menu.Item>
          </Menu>
        }
      >
        <div class="flex items-center">
          <Avatar icon={<UserOutlined />}></Avatar>
          <span class="ml-10px leading-normal">{storeAuth.userInfo?.name}</span>
        </div>
      </Dropdown>
    </div>
  );
});
