import { css } from "@linaria/core";
import { Tabs } from "ant-design-vue";

import { defineComponent } from "vue";
import { useRouter } from "vue-router";
import { any, string } from "vue-types";

export default defineComponent({
  props: {
    data: any().def([]),
    activeKey: string(),
  },
  setup(props) {
    const router = useRouter();

    return () => {
      const { activeKey, data } = props;
      return (
        <Tabs
          size="large"
          centered={true}
          class={tabStyles}
          activeKey={activeKey}
          onChange={(v) => router.push(`/detail/${v}`)}
        >
          {data.map((d: CategoryItem) => (
            <Tabs.TabPane key={d._id} tab={d.name} />
          ))}
        </Tabs>
      );
    };
  },
});

const tabStyles = css`
  .ant-tabs-nav {
    margin-bottom: 0;
    &::before {
      border: none;
    }
    .ant-tabs-tab {
      padding: 20px 0;
      color: #666;
      + .ant-tabs-tab {
        margin-left: 60px;
      }
      &::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 0;
        border-bottom: 2px solid var(--vt-c-primary);
        transition: width 0.2s ease-in-out;
      }
    }
    .ant-tabs-tab-active {
      &::after {
        min-width: 50px;
        width: 50%;
      }
      .ant-tabs-tab-btn {
        font-weight: 500;
        color: #333;
        text-shadow: none;
      }
    }
    .ant-tabs-ink-bar {
      opacity: 0;
    }
  }
`;
