import { css } from "@linaria/core";
import { defineComponent } from "vue";
import Banner from "./components/Banner";
import News from "./components/News";
import Speciality from "./components/Speciality";
import Faculty from "./components/Faculty";
import Talents from "./components/Talents";
import Research from "./components/Research";
import Works from "./components/Works";
import Services from "./components/Services";

export default defineComponent(() => {
  return () => (
    <div class={page}>
      <Banner />
      <News />
      <Speciality />
      <Faculty />
      <Talents />
      <Research />
      <Works />
      <Services />
    </div>
  );
});
const page = css`
  height: 100%;
  .home_lay_title {
    margin-bottom: 40px;
    font-size: 30px;
    color: #333;
    line-height: 1;
    &.white {
      color: #fff;
      span {
        color: #fff;
      }
    }
    span {
      text-transform: uppercase;
      padding-left: 10px;
      font-weight: 100;
      color: rgba(123, 123, 123, 1);
    }
  }
  .home_lay_item_box {
    padding: 60px 0;
  }
  @media screen and (max-width: 1280px) {
    .home_lay_title {
      font-size: 26px;
      margin-bottom: 30px;
    }
    .home_lay_item_box {
      padding: 40px 0;
    }
  }
  @media screen and (max-width: 750px) {
    .home_lay_title {
      font-size: 20px;
      margin-bottom: 20px;
    }
    .home_lay_item_box {
      padding: 30px 0;
    }
  }
`;
